summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/semaphore.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/ci/semaphore.sh b/ci/semaphore.sh
new file mode 100755
index 0000000..e5d6460
--- /dev/null
+++ b/ci/semaphore.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -ex
+
+sudo add-apt-repository --yes ppa:jonathonf/python-3.6
+sudo apt --yes update
+sudo apt --yes install python3.6 debootstrap systemd-container squashfs-tools
+
+testimg()
+{
+ img="$1"
+ sudo python3.6 ./mkosi --default ./mkosi.files/mkosi."$img"
+ test -f mkosi.output/"$img".raw
+ rm mkosi.output/"$img".raw
+}
+
+# Only test ubuntu images for now, as semaphore is based on Ubuntu
+for i in ./mkosi.files/mkosi.ubuntu*
+do
+ imgname="$(basename "$i" | cut -d. -f 2-)"
+ testimg "$imgname"
+done